Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception
Class DataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.JDBCException
                          org.hibernate.exception.DataException

All Implemented Interfaces:
  Serializable

    public class DataException

extends JDBCException

Implementation of JDBCException indicating that evaluation of the valid SQL statement against the given data resulted in some illegal operation, mismatched types or incorrect cardinality.

See Also:
  Serialized Form

Constructor Summary
`DataException(String message, SQLException root)` Constructor for JDBCException.
`DataException(String message, SQLException root, String sql)` Constructor for JDBCException.

Method Summary

Methods inherited from class org.hibernate.JDBCException
`getErrorCode, getSQL, getSQLException, getSQLState`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataException

    public DataException(String message,
                         SQLException root)

  Constructor for JDBCException.

  Parameters:
    `root` - The underlying exception.

### DataException

    public DataException(String message,
                         SQLException root,
                         String sql)

  Constructor for JDBCException.

  Parameters:
    `message` - Optional message.
    `root` - The underlying exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.